
/* dIntProg Browser. A webbrowser written in Java.
 * Copyright (C) 2001 Martin Geisler <gimpster@gimpster.com>
 *  
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the
 * 
 * Free Software Foundation, Inc.,
 * 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

/** A box that can be resized, but not split. Flexible boxes are
 *  containers for other boxes, both flexible and rigid. Flexible
 *  boxes are boxes that have to be told about their width, which they
 *  will then communicate to their children as appropriate. The
 *  flexible boxes will then calculate their height based on their
 *  contents. */
public interface FlexibleBox extends Box {

    /** Inserts another box into this box. */
    public void insert(Box b);

    /** Reports wether or not this box contains any child-boxes. */
    public boolean isEmpty();

}
